﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Legend 속성을 사용해 레전드 기호와 텍스트 간격 설정하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line = new Line(this.tChart.Chart);

            line.FillSampleValues(20);

            this.tChart.Legend.TextSymbolGap   = 10;
            this.tChart.Legend.ColumnWidthAuto = false;
            this.tChart.Legend.ColumnWidths[0] = 50;
            this.tChart.Legend.ColumnWidths[1] = 0;
        }

        #endregion
    }
}